Bug 73688 - redhat-config-[date|time] fails with a pyhton traceback
redhat-config-[date|time] fails with a pyhton traceback
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: dateconfig (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-08 17:15 EDT by adam allen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-14 22:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adam allen 2002-09-08 17:15:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When running as root the redhat-config-date, redhat-config-time or dateconfig
programs they python throws back the following error message show in the results.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. redhat-config-date 
2.
3.
	

Actual Results:  Traceback (most recent call last):
  File "/usr/share/redhat-config-date/redhat-config-date.py", line 35, in ?
    mainWindow.mainWindow().stand_alone()
  File "/usr/share/redhat-config-date/mainWindow.py", line 181, in __init__
    self.timezonePage = timezone_gui.timezonePage()
  File "/usr/share/redhat-config-date/timezone_gui.py", line 50, in __init__
    self.tz = TimezoneMap(zonetab, self.default, map=path)
  File "/usr/share/redhat-config-date/timezone_map_gui.py", line 139, in __init__
    self.setCurrent(self.currentEntry)
  File "/usr/share/redhat-config-date/timezone_map_gui.py", line 180, in setCurrent
    self.markers[self.currentEntry.tz].hide()
AttributeError: 'NoneType' object has no attribute 'tz'




Expected Results:  Some nice GUI to configure the time/date

Additional info:

RPM: redhat-config-date-1.5.2-9.noarch.rpm
Comment 1 Brent Fox 2002-09-13 15:49:21 EDT
A couple of questions.  

1) Was this an upgrade from a previous release?

2) What does your /etc/sysconfig/clock file look like?
Comment 2 adam allen 2002-09-16 12:03:54 EDT
Version: redhat-config-date-1.5.2-9
Fresh install of null, with all relevant up2date applied the day the bug was
reported. 

On a seperate install of null on another machine- without any updates
redhat-config-date worked. After updated redhat-config-date stopped working.
Dropping down to redhat-config-date-1.5.1-2 and the utility launches without any
errors. 


/etc/sysconfig/clock
ZONE="GB"
UTC=true
ARC=false
Comment 3 Brent Fox 2002-10-14 22:52:51 EDT
Um, how did you get ZONE="GB" in /etc/sysconfig/clock?  That is not a valid
timezone according to /usr/share/zoneinfo/zone.tab.  I think "Europe/London" is
what you're looking for.

However, redhat-config-date should not crash on an invalid timezone.
Comment 4 Brent Fox 2002-10-22 15:29:37 EDT
This should be fixed with redhat-config-date-1.5.3-1 which should apprear in
Rawhide in the next day or so.  If this doesn't fix the problem, please reopen
this bug report.

Note You need to log in before you can comment on or make changes to this bug.